Octoprint installation fails with AttributeError: 'module' object has no attribute '__version__' Topic is solved

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
tomz
Posts: 1
Joined: Sat Apr 18, 2020 8:54 am

Octoprint installation fails with AttributeError: 'module' object has no attribute '__version__'

Post by tomz »

Hi there, I am trying to install Octoprint on my Raspi Zero W and I am running into an error message.
The DietPi Error Handler shows some nested Python errors, with the first entry being
AttributeError: 'module' object has no attribute '__version__'

I did some research and found this error in GitHub here https://github.com/OctoPrint/OctoPrint/issues/2468, and the issue/resolution was a missing file with a version number.
Given that the GitHub entry is 2 years old I was wondering if somehow this error crept back in and maybe the DietPi package needs to be updated accordingly?

I just uploaded a bug report as well.
Bug report sent, reference code: e815918b-67eb-4c60-b5fd-d2dbbf6d1db7

I'd be glad to provide any additional information if required.

Edit: Just noticed the request to open a GitHub issue in the bug report, went ahead and did: https://github.com/MichaIng/DietPi/issues/3474

Thanks and keep up with your great work, DietPi is running my PiHole and hence protecting my family for quite a few years.
User avatar
Joulinar
Posts: 2085
Joined: Sat Nov 16, 2019 12:49 am

Re: Octoprint installation fails with AttributeError: 'module' object has no attribute '__version__'

Post by Joulinar »

Hi,

many thanks for your report. I guess investigation will continue on GitHub. Let's close the topic on this board.

https://github.com/MichaIng/DietPi/issues/3473
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Post Reply